# Method: partners.subscriptions.authorizeAddon

- [HTTP request](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/authorizeAddon#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/authorizeAddon#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/authorizeAddon#body.request_body)
  - [JSON representation](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/authorizeAddon#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/authorizeAddon#body.response_body)
  - [JSON representation](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/authorizeAddon#body.AuthorizeSubscriptionAddonResponse.SCHEMA_REPRESENTATION)

Currently, it is used by only **YouTube** partners.

Google checks with the reseller if an add-on to the subscription is authorized. Note: The domain name below should be replaced with the partner domain name with the same path.

### HTTP request

`POST https://paymentsresellersubscription.googleapis.com/v1/{name=partners/*/subscriptions/*}:authorizeAddon`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the subscription resource for which addon is being requested. It will have the format of "partners/{partner_id}/subscriptions/{subscriptionId}" |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestId": string, "subscription": { object (`https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions#Subscription`) }, "newLineItems": [ { object (`https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions.lineItems#LineItem`) } ] } ``` |

| Fields ||
|---|---|
| `requestId` | `string` Required. A UUID to uniquely identify the request. The idempotency key for the request. So in case of retries, requestId will be same as previous one. |
| `subscription` | ``object (`https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions#Subscription`)`` Required. Details of the subscription for add-on request. |
| `newLineItems[]` | ``object (`https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions.lineItems#LineItem`)`` Required. Details of the new line items that are being added to the subscription. |

### Response body

Contains the reseller's determination as to whether an add-on to the subscription should be approved.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "authorizationResult": enum (`https://developers.google.com/payments/reseller/subscription/reference/rest/v1/AuthorizationResult`) } ``` |

| Fields ||
|---|---|
| `authorizationResult` | ``enum (`https://developers.google.com/payments/reseller/subscription/reference/rest/v1/AuthorizationResult`)`` Required. The reseller's authorization result for subscription add-on request. |